#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './viewsettingsbase.ui'
**
** Created: fre aug 9 22:01:06 2002
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "viewsettingsbase.h"

#include <qvariant.h>
#include <qbuttongroup.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

#include "viewsettingsbase.ui.h"
/* 
 *  Constructs a ViewSettingsBase which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f'.
 */
ViewSettingsBase::ViewSettingsBase( QWidget* parent,  const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ViewSettingsBase" );
    resize( 460, 479 ); 
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setCaption( tr2i18n( "ViewSettings" ) );
    ViewSettingsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ViewSettingsBaseLayout"); 

    defaultViewSettingsBox = new QButtonGroup( this, "defaultViewSettingsBox" );
    defaultViewSettingsBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, defaultViewSettingsBox->sizePolicy().hasHeightForWidth() ) );
    defaultViewSettingsBox->setTitle( tr2i18n( "Default view settings" ) );
    defaultViewSettingsBox->setColumnLayout(0, Qt::Vertical );
    defaultViewSettingsBox->layout()->setSpacing( 6 );
    defaultViewSettingsBox->layout()->setMargin( 11 );
    defaultViewSettingsBoxLayout = new QGridLayout( defaultViewSettingsBox->layout() );
    defaultViewSettingsBoxLayout->setAlignment( Qt::AlignTop );
    QSpacerItem* spacer = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    defaultViewSettingsBoxLayout->addItem( spacer, 0, 3 );

    viewTypePicture = new QLabel( defaultViewSettingsBox, "viewTypePicture" );
    viewTypePicture->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, viewTypePicture->sizePolicy().hasHeightForWidth() ) );
    viewTypePicture->setMinimumSize( QSize( 120, 73 ) );
    viewTypePicture->setMaximumSize( QSize( 120, 73 ) );
    viewTypePicture->setPixmap( QPixmap( UserIcon("detailview_thumb") ) );
    viewTypePicture->setScaledContents( TRUE );

    defaultViewSettingsBoxLayout->addMultiCellWidget( viewTypePicture, 0, 1, 2, 2 );
    QSpacerItem* spacer_2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    defaultViewSettingsBoxLayout->addItem( spacer_2, 0, 1 );

    p_detailedViewButton = new QRadioButton( defaultViewSettingsBox, "p_detailedViewButton" );
    p_detailedViewButton->setText( tr2i18n( "Detailed View" ) );
    p_detailedViewButton->setChecked( TRUE );
    QToolTip::add( p_detailedViewButton, tr2i18n( "Check this option if you want the default view to be a Detailed View." ) );
    QWhatsThis::add( p_detailedViewButton, tr2i18n( "Check this option if you want the default view to be a Detailed View." ) );

    defaultViewSettingsBoxLayout->addWidget( p_detailedViewButton, 0, 0 );

    p_iconViewButton = new QRadioButton( defaultViewSettingsBox, "p_iconViewButton" );
    p_iconViewButton->setText( tr2i18n( "Icon View" ) );
    QToolTip::add( p_iconViewButton, tr2i18n( "Check this option if you want the default view to be an Icon View." ) );
    QWhatsThis::add( p_iconViewButton, tr2i18n( "Check this option if you want the default view to be an Icon View." ) );

    defaultViewSettingsBoxLayout->addWidget( p_iconViewButton, 1, 0 );
    QSpacerItem* spacer_3 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    defaultViewSettingsBoxLayout->addItem( spacer_3, 1, 1 );

    ViewSettingsBaseLayout->addWidget( defaultViewSettingsBox, 0, 0 );
    QSpacerItem* spacer_4 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ViewSettingsBaseLayout->addItem( spacer_4, 3, 0 );

    visibilitySettingsBox = new QGroupBox( this, "visibilitySettingsBox" );
    visibilitySettingsBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, visibilitySettingsBox->sizePolicy().hasHeightForWidth() ) );
    visibilitySettingsBox->setTitle( tr2i18n( "Default Visible Settings" ) );
    visibilitySettingsBox->setColumnLayout(0, Qt::Vertical );
    visibilitySettingsBox->layout()->setSpacing( 6 );
    visibilitySettingsBox->layout()->setMargin( 11 );
    visibilitySettingsBoxLayout = new QGridLayout( visibilitySettingsBox->layout() );
    visibilitySettingsBoxLayout->setAlignment( Qt::AlignTop );

    p_logViewCheckBox = new QCheckBox( visibilitySettingsBox, "p_logViewCheckBox" );
    p_logViewCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)3, 0, 0, p_logViewCheckBox->sizePolicy().hasHeightForWidth() ) );
    p_logViewCheckBox->setText( tr2i18n( "Show Log View" ) );
    p_logViewCheckBox->setAutoResize( TRUE );
    p_logViewCheckBox->setChecked( TRUE );
    QToolTip::add( p_logViewCheckBox, tr2i18n( "Check this option if you want the Log View to be displayed by default." ) );
    QWhatsThis::add( p_logViewCheckBox, tr2i18n( "Check this option if you want the Log View to be displayed by default." ) );

    visibilitySettingsBoxLayout->addWidget( p_logViewCheckBox, 3, 0 );

    p_taskBarCheckBox = new QCheckBox( visibilitySettingsBox, "p_taskBarCheckBox" );
    p_taskBarCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)3, 0, 0, p_taskBarCheckBox->sizePolicy().hasHeightForWidth() ) );
    p_taskBarCheckBox->setText( tr2i18n( "Show TaskBar" ) );
    p_taskBarCheckBox->setAutoResize( TRUE );
    p_taskBarCheckBox->setChecked( TRUE );
    QToolTip::add( p_taskBarCheckBox, tr2i18n( "Check this option if you want the Taskbar to be visible by default." ) );
    QWhatsThis::add( p_taskBarCheckBox, tr2i18n( "Check this option if you want the Taskbar to be visible by default." ) );

    visibilitySettingsBoxLayout->addWidget( p_taskBarCheckBox, 2, 0 );

    p_localFileSysCheckBox = new QCheckBox( visibilitySettingsBox, "p_localFileSysCheckBox" );
    p_localFileSysCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)3, 0, 0, p_localFileSysCheckBox->sizePolicy().hasHeightForWidth() ) );
    p_localFileSysCheckBox->setText( tr2i18n( "Show Local File System" ) );
    p_localFileSysCheckBox->setAutoResize( TRUE );
    p_localFileSysCheckBox->setChecked( TRUE );
    QToolTip::add( p_localFileSysCheckBox, tr2i18n( "Check this option if you want the Local Filesystem View to be visible by default." ) );
    QWhatsThis::add( p_localFileSysCheckBox, tr2i18n( "Check this option if you want the Local Filesystem View to be visible by default." ) );

    visibilitySettingsBoxLayout->addWidget( p_localFileSysCheckBox, 1, 0 );

    p_transferViewCheckBox = new QCheckBox( visibilitySettingsBox, "p_transferViewCheckBox" );
    p_transferViewCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)3, 0, 0, p_transferViewCheckBox->sizePolicy().hasHeightForWidth() ) );
    p_transferViewCheckBox->setText( tr2i18n( "Show Transfer View" ) );
    p_transferViewCheckBox->setAutoResize( TRUE );
    p_transferViewCheckBox->setChecked( TRUE );
    QToolTip::add( p_transferViewCheckBox, tr2i18n( "Check this option if you want the Transfer View to be displayed by default." ) );
    QWhatsThis::add( p_transferViewCheckBox, tr2i18n( "Check this option if you want the Transfer View to be displayed by default." ) );

    visibilitySettingsBoxLayout->addWidget( p_transferViewCheckBox, 0, 0 );

    p_statusBarCheckBox = new QCheckBox( visibilitySettingsBox, "p_statusBarCheckBox" );
    p_statusBarCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)3, 0, 0, p_statusBarCheckBox->sizePolicy().hasHeightForWidth() ) );
    p_statusBarCheckBox->setText( tr2i18n( "Show StatusBar" ) );
    p_statusBarCheckBox->setAutoResize( TRUE );
    p_statusBarCheckBox->setChecked( TRUE );
    QToolTip::add( p_statusBarCheckBox, tr2i18n( "Check this option if you want the Statusbar to be visible by default." ) );
    QWhatsThis::add( p_statusBarCheckBox, tr2i18n( "Check this option if you want the Statusbar to be visible by default." ) );

    visibilitySettingsBoxLayout->addWidget( p_statusBarCheckBox, 2, 1 );

    p_mainToolBarCheckBox = new QCheckBox( visibilitySettingsBox, "p_mainToolBarCheckBox" );
    p_mainToolBarCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)3, 0, 0, p_mainToolBarCheckBox->sizePolicy().hasHeightForWidth() ) );
    p_mainToolBarCheckBox->setText( tr2i18n( "Show Main ToolBar" ) );
    p_mainToolBarCheckBox->setAutoResize( TRUE );
    p_mainToolBarCheckBox->setChecked( TRUE );
    QToolTip::add( p_mainToolBarCheckBox, tr2i18n( "Check this option if you want the Main Toolbar to be visible by default." ) );
    QWhatsThis::add( p_mainToolBarCheckBox, tr2i18n( "Check this option if you want the Main Toolbar to be visible by default." ) );

    visibilitySettingsBoxLayout->addWidget( p_mainToolBarCheckBox, 0, 1 );

    p_helpToolBarCheckBox = new QCheckBox( visibilitySettingsBox, "p_helpToolBarCheckBox" );
    p_helpToolBarCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)3, 0, 0, p_helpToolBarCheckBox->sizePolicy().hasHeightForWidth() ) );
    p_helpToolBarCheckBox->setText( tr2i18n( "Show Help ToolBar" ) );
    p_helpToolBarCheckBox->setAutoResize( TRUE );
    p_helpToolBarCheckBox->setChecked( TRUE );
    QToolTip::add( p_helpToolBarCheckBox, tr2i18n( "Check this option if you want the Help Toolbar to be visible by default." ) );
    QWhatsThis::add( p_helpToolBarCheckBox, tr2i18n( "Check this option if you want the Help Toolbar to be visible by default." ) );

    visibilitySettingsBoxLayout->addWidget( p_helpToolBarCheckBox, 1, 1 );

    GroupBox3 = new QGroupBox( visibilitySettingsBox, "GroupBox3" );
    GroupBox3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, GroupBox3->sizePolicy().hasHeightForWidth() ) );
    GroupBox3->setFrameShape( QGroupBox::Box );
    GroupBox3->setTitle( tr2i18n( "Child Views" ) );
    GroupBox3->setColumnLayout(0, Qt::Vertical );
    GroupBox3->layout()->setSpacing( 6 );
    GroupBox3->layout()->setMargin( 11 );
    GroupBox3Layout = new QGridLayout( GroupBox3->layout() );
    GroupBox3Layout->setAlignment( Qt::AlignTop );

    p_childStatusBarCheckBox = new QCheckBox( GroupBox3, "p_childStatusBarCheckBox" );
    p_childStatusBarCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)3, 0, 0, p_childStatusBarCheckBox->sizePolicy().hasHeightForWidth() ) );
    p_childStatusBarCheckBox->setText( tr2i18n( "Show Statusbar" ) );
    p_childStatusBarCheckBox->setAutoResize( TRUE );
    p_childStatusBarCheckBox->setChecked( TRUE );
    QToolTip::add( p_childStatusBarCheckBox, tr2i18n( "Check this option if you want the Statusbar of the child views to be visible by default." ) );
    QWhatsThis::add( p_childStatusBarCheckBox, tr2i18n( "Check this option if you want the Statusbar of the child views to be visible by default." ) );

    GroupBox3Layout->addWidget( p_childStatusBarCheckBox, 1, 0 );

    p_childToolBarCheckBox = new QCheckBox( GroupBox3, "p_childToolBarCheckBox" );
    p_childToolBarCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)3, 0, 0, p_childToolBarCheckBox->sizePolicy().hasHeightForWidth() ) );
    p_childToolBarCheckBox->setText( tr2i18n( "Show Toolbar" ) );
    p_childToolBarCheckBox->setAutoResize( TRUE );
    p_childToolBarCheckBox->setChecked( TRUE );
    QToolTip::add( p_childToolBarCheckBox, tr2i18n( "Check this option if you want the Toolbar of the child views to be visible by default." ) );
    QWhatsThis::add( p_childToolBarCheckBox, tr2i18n( "Check this option if you want the Toolbar of the child views to be visible by default." ) );

    GroupBox3Layout->addWidget( p_childToolBarCheckBox, 0, 0 );

    p_childPathToolBarCheckBox = new QCheckBox( GroupBox3, "p_childPathToolBarCheckBox" );
    p_childPathToolBarCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)3, 0, 0, p_childPathToolBarCheckBox->sizePolicy().hasHeightForWidth() ) );
    p_childPathToolBarCheckBox->setText( tr2i18n( "Show Path Toolbar" ) );
    p_childPathToolBarCheckBox->setAutoResize( TRUE );
    p_childPathToolBarCheckBox->setChecked( TRUE );
    QToolTip::add( p_childPathToolBarCheckBox, tr2i18n( "Check this option if you want the Path Toolbar of the child views to be visible by default." ) );
    QWhatsThis::add( p_childPathToolBarCheckBox, tr2i18n( "Check this option if you want the Path Toolbar of the child views to be visible by default." ) );

    GroupBox3Layout->addWidget( p_childPathToolBarCheckBox, 0, 1 );

    p_childInfoBarCheckBox = new QCheckBox( GroupBox3, "p_childInfoBarCheckBox" );
    p_childInfoBarCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)3, 0, 0, p_childInfoBarCheckBox->sizePolicy().hasHeightForWidth() ) );
    p_childInfoBarCheckBox->setText( tr2i18n( "Show Infobar" ) );
    p_childInfoBarCheckBox->setAutoResize( TRUE );
    p_childInfoBarCheckBox->setChecked( TRUE );
    QToolTip::add( p_childInfoBarCheckBox, tr2i18n( "Check this option if you want the Informationbar at the bottom of the child views to be visible by default." ) );
    QWhatsThis::add( p_childInfoBarCheckBox, tr2i18n( "Check this option if you want the Informationbar at the bottom of the child views to be visible by default." ) );

    GroupBox3Layout->addWidget( p_childInfoBarCheckBox, 1, 1 );

    p_treeViewCheckBox = new QCheckBox( GroupBox3, "p_treeViewCheckBox" );
    p_treeViewCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)3, 0, 0, p_treeViewCheckBox->sizePolicy().hasHeightForWidth() ) );
    p_treeViewCheckBox->setText( tr2i18n( "Show Tree View" ) );
    p_treeViewCheckBox->setAutoResize( TRUE );
    p_treeViewCheckBox->setChecked( TRUE );
    QToolTip::add( p_treeViewCheckBox, tr2i18n( "Check this option if you want the Tree View  to be visible by default." ) );
    QWhatsThis::add( p_treeViewCheckBox, tr2i18n( "Check this option if you want the Tree View  to be visible by default." ) );

    GroupBox3Layout->addMultiCellWidget( p_treeViewCheckBox, 2, 2, 0, 1 );

    visibilitySettingsBoxLayout->addMultiCellWidget( GroupBox3, 4, 4, 0, 1 );

    ViewSettingsBaseLayout->addWidget( visibilitySettingsBox, 1, 0 );

    GroupBox5 = new QGroupBox( this, "GroupBox5" );
    GroupBox5->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, GroupBox5->sizePolicy().hasHeightForWidth() ) );
    GroupBox5->setTitle( QString::null );
    GroupBox5->setColumnLayout(0, Qt::Vertical );
    GroupBox5->layout()->setSpacing( 6 );
    GroupBox5->layout()->setMargin( 11 );
    GroupBox5Layout = new QGridLayout( GroupBox5->layout() );
    GroupBox5Layout->setAlignment( Qt::AlignTop );

    p_runSettingsCheckBox = new QCheckBox( GroupBox5, "p_runSettingsCheckBox" );
    p_runSettingsCheckBox->setText( tr2i18n( "Save settings used when closing the application." ) );
    p_runSettingsCheckBox->setChecked( TRUE );
    QToolTip::add( p_runSettingsCheckBox, tr2i18n( "Check this option if you want the settings used when closing the application to be the default at next startup. WARNING!!! This will override all settings on this page !" ) );
    QWhatsThis::add( p_runSettingsCheckBox, tr2i18n( "Check this option if you want the settings used when closing the application to be the default at next startup. WARNING!!! This will override all settings on this page !" ) );

    GroupBox5Layout->addWidget( p_runSettingsCheckBox, 0, 0 );

    ViewSettingsBaseLayout->addWidget( GroupBox5, 2, 0 );

    // signals and slots connections
    connect( p_detailedViewButton, SIGNAL( clicked() ), this, SLOT( slotViewSelect() ) );
    connect( p_iconViewButton, SIGNAL( clicked() ), this, SLOT( slotViewSelect() ) );

    // tab order
    setTabOrder( p_detailedViewButton, p_iconViewButton );
    setTabOrder( p_iconViewButton, p_transferViewCheckBox );
    setTabOrder( p_transferViewCheckBox, p_localFileSysCheckBox );
    setTabOrder( p_localFileSysCheckBox, p_taskBarCheckBox );
    setTabOrder( p_taskBarCheckBox, p_logViewCheckBox );
    setTabOrder( p_logViewCheckBox, p_mainToolBarCheckBox );
    setTabOrder( p_mainToolBarCheckBox, p_statusBarCheckBox );
    setTabOrder( p_statusBarCheckBox, p_runSettingsCheckBox );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
ViewSettingsBase::~ViewSettingsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

#include "viewsettingsbase.moc"
