#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kbearqueryexit.ui'
**
** Created: fre aug 9 22:00:54 2002
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "kbearqueryexit.h"

#include <qvariant.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qlcdnumber.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a KBearQueryExit which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KBearQueryExit::KBearQueryExit( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KBearQueryExit" );
    resize( 336, 205 ); 
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setCaption( tr2i18n( "Exiting application..." ) );
    setSizeGripEnabled( FALSE );
    KBearQueryExitLayout = new QGridLayout( this, 1, 1, 11, 6, "KBearQueryExitLayout"); 

    QueryExitLabel = new QLabel( this, "QueryExitLabel" );
    QFont QueryExitLabel_font(  QueryExitLabel->font() );
    QueryExitLabel_font.setFamily( "adobe-times" );
    QueryExitLabel_font.setPointSize( 18 );
    QueryExitLabel_font.setBold( TRUE );
    QueryExitLabel_font.setItalic( TRUE );
    QueryExitLabel->setFont( QueryExitLabel_font ); 
    QueryExitLabel->setText( tr2i18n( "Do you really want to quit ?" ) );
    QueryExitLabel->setAlignment( int( QLabel::AlignCenter ) );

    KBearQueryExitLayout->addMultiCellWidget( QueryExitLabel, 0, 0, 1, 3 );

    m_numOfTransfers = new QLCDNumber( this, "m_numOfTransfers" );
    m_numOfTransfers->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, m_numOfTransfers->sizePolicy().hasHeightForWidth() ) );
    m_numOfTransfers->setNumDigits( 7 );
    m_numOfTransfers->setSegmentStyle( QLCDNumber::Flat );
    QToolTip::add( m_numOfTransfers, tr2i18n( "This field display the number of currently active transfers." ) );
    QWhatsThis::add( m_numOfTransfers, tr2i18n( "This field display the number of currently active transfers." ) );

    KBearQueryExitLayout->addMultiCellWidget( m_numOfTransfers, 1, 1, 3, 4 );

    NumTransInfoLabel = new QLabel( this, "NumTransInfoLabel" );
    NumTransInfoLabel->setText( tr2i18n( "Number of active transfers:" ) );

    KBearQueryExitLayout->addMultiCellWidget( NumTransInfoLabel, 1, 1, 0, 2 );

    m_numOfQueuedTransfers = new QLCDNumber( this, "m_numOfQueuedTransfers" );
    m_numOfQueuedTransfers->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, m_numOfQueuedTransfers->sizePolicy().hasHeightForWidth() ) );
    m_numOfQueuedTransfers->setNumDigits( 7 );
    m_numOfQueuedTransfers->setSegmentStyle( QLCDNumber::Flat );
    QToolTip::add( m_numOfQueuedTransfers, tr2i18n( "This field display the number of currently queued transfers." ) );
    QWhatsThis::add( m_numOfQueuedTransfers, tr2i18n( "This field display the number of currently queued transfers" ) );

    KBearQueryExitLayout->addMultiCellWidget( m_numOfQueuedTransfers, 2, 2, 3, 4 );

    WarningLabel = new QLabel( this, "WarningLabel" );
    WarningLabel->setText( tr2i18n( "If you quit, these transfers will be stopped or canceled !" ) );

    KBearQueryExitLayout->addMultiCellWidget( WarningLabel, 3, 3, 0, 4 );

    NumQueuedTransInfoLabel = new QLabel( this, "NumQueuedTransInfoLabel" );
    NumQueuedTransInfoLabel->setText( tr2i18n( "Number of queued transfers:" ) );

    KBearQueryExitLayout->addMultiCellWidget( NumQueuedTransInfoLabel, 2, 2, 0, 2 );

    m_askAgainCheckBox = new QCheckBox( this, "m_askAgainCheckBox" );
    m_askAgainCheckBox->setText( tr2i18n( "&Don't ask me again" ) );
    QToolTip::add( m_askAgainCheckBox, tr2i18n( "Check this option if you don't want the application to ask for confirmation, even if there are ongoing transfers." ) );
    QWhatsThis::add( m_askAgainCheckBox, tr2i18n( "Check this option if you don't want the application to ask for confirmation, even if there are ongoing transfers." ) );

    KBearQueryExitLayout->addMultiCellWidget( m_askAgainCheckBox, 4, 4, 0, 2 );
    QSpacerItem* spacer = new QSpacerItem( 20, 20, QSizePolicy::MinimumExpanding, QSizePolicy::Minimum );
    KBearQueryExitLayout->addItem( spacer, 5, 0 );
    QSpacerItem* spacer_2 = new QSpacerItem( 20, 20, QSizePolicy::MinimumExpanding, QSizePolicy::Minimum );
    KBearQueryExitLayout->addItem( spacer_2, 5, 2 );
    QSpacerItem* spacer_3 = new QSpacerItem( 20, 20, QSizePolicy::MinimumExpanding, QSizePolicy::Minimum );
    KBearQueryExitLayout->addItem( spacer_3, 5, 4 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setText( tr2i18n( "&Quit" ) );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );

    KBearQueryExitLayout->addWidget( buttonOk, 5, 3 );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    buttonCancel->setAutoDefault( TRUE );

    KBearQueryExitLayout->addWidget( buttonCancel, 5, 1 );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
KBearQueryExit::~KBearQueryExit()
{
    // no need to delete child widgets, Qt does it all for us
}

#include "kbearqueryexit.moc"
